TP-Link T1500-28TC network switch Managed L2 Fast Ethernet (10/100) Black

TP-Link T1500-28TC network switch Managed L2 Fast Ethernet (10/100) Black

Model T1500-28TCEAN 6935364083076

68 specifications
  • ColourBlack
  • Switch typeManaged
  • Basic switching RJ-45 Ethernet ports quantity24
  • 10G supportNo
  • Fiber ethernet cabling technology100BASE-FX, 1000BASE-X
  • MAC address table8000 entries
See all specifications

Overview

Colour
Black
Switch type
Managed
Basic switching RJ-45 Ethernet ports quantity
24
10G support
No
Fiber ethernet cabling technology
100BASE-FX, 1000BASE-X
MAC address table
8000 entries
Brand
TP-Link
Model
T1500-28TC
Part number
T1500-28TC
EAN / UPC
6935364083076, 6935364083083
Also known as
TP-Link T1500-28TC network switch Managed L2 Fast Ethernet (10/100) Black

Specifications

68 specifications in 15 groups

Management features

SpecificationValue
Switch typeManaged
Switch layerL2
Quality of Service (QoS) supportYes
Web-based managementYes
ARP inspectionYes
System event logYes
MIB supportRFC2925, RFC2618, RFC2620, RFC2021, RFC2819, RFC2674, RFC1213, RFC2233, RFC1643, RFC1493

Ports & interfaces

SpecificationValue
Basic switching RJ-45 Ethernet ports quantity24
Basic switching RJ-45 Ethernet ports typeFast Ethernet (10/100)
Gigabit Ethernet (copper) ports quantity4
Installed SFP modules quantity0
Installed SFP+ modules quantity0
SFP module slots quantity2

Network

SpecificationValue
Networking standardsIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3i, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNo
Copper ethernet cabling technology10BASE-T, 100BASE-TX
Port mirroringYes
Full duplexYes
Auto MDI/MDI-XYes
Auto-negotiationYes
Broadcast storm controlYes
Flow control supportYes
Link aggregationYes
Rate limitingYes
Spanning tree protocolYes
VLAN supportYes
Virtual LAN featuresVoice VLAN, Tagged VLAN
Number of VLANs512

Optical fiber

SpecificationValue
Fiber ethernet cabling technology100BASE-FX, 1000BASE-X

Data transmission

SpecificationValue
MAC address table8000 entries
Switching capacity12.8 Gbit/s
Forwarding rate9.5 Mpps
Number of queues4
Jumbo frames supportYes
Jumbo frames9216

Security

SpecificationValue
DHCP featuresDHCP snooping
Access Control List (ACL)Yes
IGMP snoopingYes
AuthenticationGuest VLAN, MAC-based authentication, Port-based authentication
Authentication typeRADIUS
BPDU filtering/protectionYes
DoS attack preventionYes
IP-MAC-Port bindingYes
Loop protectionYes
Queue scheduling algorithmsSP, WRR+SP, Weighted Round Robin (WRR)
Security algorithms802.1x RADIUS, SNMP, SNMPv3, SSH, SSH-2, SSL/TLS
Static port securityYes

Multicast features

SpecificationValue
Multicast supportYes

Design

SpecificationValue
Rack mountingYes
Product colourBlack

Performance

SpecificationValue
Buffer size512 KB
Compatible operating systemsMicrosoft Windows 98SE, NT, 2000, XP, Vistam Windows 7/8, MAC OS, NetWare, UNIX, Linux
Firmware upgradeableYes

Power

SpecificationValue
AC input voltage100 - 240 V
AC input frequency50 - 60 Hz
Power consumption (max)229.73 W

Operational conditions

SpecificationValue
Operating temperature (T-T)0 - 40 °C
Storage temperature (T-T)-40 - 70 °C
Operating relative humidity (H-H)10 - 90%
Storage relative humidity (H-H)5 - 90%

Weight & dimensions

SpecificationValue
Width440 mm
Depth180 mm
Height44 mm

Packaging content

SpecificationValue
Cables includedAC
User guideYes

Packaging data

SpecificationValue
Resource CDYes
Rubber feetYes

Certificates

SpecificationValue
CertificationCE, FCC, RoHS

What people say

Reviews & ratings

TP-Link T1500-28TC network switch Managed L2 Fast Ethernet (10/100) Black

No reviews yet

Be the first to tell others how TP-Link T1500-28TC network switch Managed L2 Fast Ethernet (10/100) Black works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does TP-Link T1500-28TC network switch Managed L2 Fast Ethernet (10/100) Black work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

Compare TP-Link T1500-28TC network switch Managed L2 Fast Ethernet (10/100) Black

All network switch comparisons

Similar products

All network switches